Module jdk.management
Package jdk.crac.management

# Interface CRaCMXBean

All Superinterfaces:
  `PlatformManagedObject`

public interface CRaCMXBean extends PlatformManagedObject
Management interface for the CRaC functionality of the Java virtual machine.

## Method Summary

Modifier and Type
Method
Description
`static CRaCMXBean`
`getCRaCMXBean()`
Returns the implementation of the MXBean.
`long`
`getRestoreTime()`
Returns the time when the Java virtual machine restore was initiated.
`long`
`getUptimeSinceRestore()`
Returns the time since the Java virtual machine restore was initiated.

### Methods declared in interface java.lang.management.PlatformManagedObject

`getObjectName`

## Method Details

### getUptimeSinceRestore

long getUptimeSinceRestore()
Returns the time since the Java virtual machine restore was initiated. If the machine was not restored, returns -1.

Returns:
  uptime of the Java virtual machine in milliseconds.
See Also:
  - `RuntimeMXBean.getStartTime()`

### getRestoreTime

long getRestoreTime()
Returns the time when the Java virtual machine restore was initiated. The value is the number of milliseconds since the start of the epoch. If the machine was not restored, returns -1.

Returns:
  start time of the Java virtual machine in milliseconds.
See Also:
  - `RuntimeMXBean.getUptime()`

### getCRaCMXBean

static CRaCMXBean getCRaCMXBean()
Returns the implementation of the MXBean.

Returns:
  implementation of the MXBean.